| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::SimpleStatusSpec Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- uint type
- bool maySetOnSelf
- bool canHaveMessage

## Detailed Description

Structure type generated from the specification.

A struct containing information about a status.

## Member Data Documentation

uint Tp::SimpleStatusSpec::type

The type of a presence. This SHOULD NOT be used as a way to set statuses that the client does not recognise (as explained in SetPresence), but MAY be used to check that the client's assumptions about a particular status name match the connection manager's.

bool Tp::SimpleStatusSpec::maySetOnSelf

If true, the user can set this status on themselves using SetPresence.

bool Tp::SimpleStatusSpec::canHaveMessage

If true, a non-empty message can be set for this status. Otherwise, the empty string is the only acceptable message. On IRC you can be Away with a status message, but if you are available you cannot set a status message.